package com.example.databinding

import android.graphics.Bitmap
import android.graphics.BitmapFactory
import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import android.widget.ImageView
import androidx.databinding.BindingAdapter
import androidx.databinding.BindingMethod
import androidx.databinding.BindingMethods
import androidx.databinding.DataBindingUtil
import com.example.databinding.databinding.ActivityMainBinding

@BindingAdapter("imgRes")
fun setImageViewResource(imageView: ImageView, resId: Bitmap) {
    imageView.setImageBitmap(resId)
}

@BindingMethods(value = [
    BindingMethod(
            type = ImageView::class,
            attribute = "android:tint",
            method = "setImageTintList")])

class MainActivity : AppCompatActivity() {
    var text = "Square Icon"
    var isClicked = false
    lateinit var bmp: Bitmap
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        val binding: ActivityMainBinding = DataBindingUtil.setContentView(this, R.layout.activity_main)
        bmp = BitmapFactory.decodeResource(applicationContext.resources, R.drawable.ic_launcher)
        binding.test = this

        binding.hideButton.setOnClickListener {
            isClicked = !isClicked
            bmp = if (isClicked) {
                text = "Round Icon"
                BitmapFactory.decodeResource(applicationContext.resources, R.drawable.ic_launcher_round)
            } else {
                text = "Square Icon"
                BitmapFactory.decodeResource(applicationContext.resources, R.drawable.ic_launcher)
            }
            binding.invalidateAll()
        }
    }
}